Bug 441231 - missing file in autogen/autogen-devel
missing file in autogen/autogen-devel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: autogen (Show other bugs)
rawhide
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-07 06:54 EDT by Benedikt Spranger
Modified: 2014-01-28 12:39 EST (History)
2 users (show)

See Also:
Fixed In Version: autogen-5.18.2-2.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-28 12:39:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Benedikt Spranger 2008-04-07 06:54:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.12) Gecko/20080129 Iceweasel/2.0.0.12 (Debian-2.0.0.12-2)

Description of problem:
Missing file in autogen/autogen-devel.

ls $(autoopts-config libsrc)
ls: cannot access /usr/share/autogen/libopts-31.0.6.tar.gz: No such file or directory


Version-Release number of selected component (if applicable):
autogen-libopts-devel-5.9.4-4.fc8

How reproducible:
Always


Steps to Reproduce:
1.ls $(autoopts-config libsrc)
2.
3.

Actual Results:
ls: cannot access /usr/share/autogen/libopts-31.0.6.tar.gz: No such file or directory

Expected Results:
ls $(autoopts-config libsrc)
/usr/share/autogen/libopts-31.0.6.tar.gz

Additional info:
Comment 1 Debarshi Ray 2008-09-06 13:34:40 EDT
Sorry for such a late response.

Since the libopts library is distributed in binary form as part of the
autogen-libopts package, is it important for you to have the source tarball?
Comment 2 Debarshi Ray 2008-11-07 13:49:42 EST
Ping?
Comment 3 Benedikt Spranger 2008-11-10 02:57:42 EST
Sorry, I have overseen your response:

To integrate libopts in a project the "safest" way is IMHO to include the libopts source. Linking against the distributed binary is almost fine on fedora, but can course serious trouble (segfaults). Therefor I have taken to ship the libopts source in my projects and to update this source via my "autogen.sh" scripts in development cycle.
Comment 4 Debarshi Ray 2008-11-10 04:03:39 EST
(In reply to comment #3)

> Sorry, I have overseen your response:

No problem. :-)

> To integrate libopts in a project the "safest" way is IMHO to include the
> libopts source. Linking against the distributed binary is almost fine on
> fedora, but can course serious trouble (segfaults). 

Can you please elaborate a bit? Bundling a separate version of a library with an application is usually looked down upon for various reasons. eg., a fix against the library has to be applied not once, but as many copies that have come bundled with the applications. I would like to see if we can solve the "problems" that you have run into.
Comment 5 Bug Zapper 2008-11-26 05:26:03 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Debarshi Ray 2008-12-09 10:22:40 EST
Benedikt, ping?
Comment 7 Debarshi Ray 2009-01-04 11:42:44 EST
I am inclined to mark this as CLOSED now due to lack of response. Please re-open the bug if you deem fit.
Comment 8 Nikos Mavrogiannopoulos 2013-11-14 23:32:10 EST
Hello,
 I don't think this should be closed. For a developer autogen gives the option to include a self-contained version of libopts it into programs. This is needed so that programs compile even in OSes that don't include libopts.

According to the autogen manual [0], this is done by retrieving the file shown with the following command:
$ autoopts-config libsrc
 /usr/share/autogen/libopts-40.0.15.tar.gz

However this file is not distributed in fedora. This makes a developer's life difficult as one has to download and install the original autogen tarball to get the bundled libopts sources.

[0]. see http://autogen.sourceforge.net/doc/Licensing.html#Licensing
Comment 9 Miroslav Lichvar 2014-01-28 12:39:31 EST
The autogen package now includes the libopts tear-off tarball and the libopts-devel package depends on autogen.

Note You need to log in before you can comment on or make changes to this bug.